NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Mfg.AM.Sketcher Class Reference

Represents a Mfg.AM.Sketcher builder More...

Inheritance diagram for NXOpen.Mfg.AM.Sketcher:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Mode { SurfaceFace, SurfaceLine, SketchFace, SketchLine }
 the sketcher mode More...
 

Public Member Functions

unsafe void AddCurvePoints (NXOpen.Point[] points)
 Creates or extends the curve with points More...
 
unsafe void SetSketchCanvas (NXOpen.Face[] faces)
 Set the faces to sketch the curve upon More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool CloseCurve [get, set]
 Returns or sets the flag indicating if curve should be closed More...
 
unsafe
NXOpen.Features.CurveOnSurfaceBuilder 
CurveOnSurfaceBuilder [get]
 Returns the Curve On Surface feature builder More...
 
unsafe NXOpen.Sketch Sketch [get, set]
 Returns or sets the sketch which holds the section curves More...
 
unsafe NXOpen.ScCollector SketchCollector [get]
 Returns the sketch geometry collector More...
 
unsafe NXOpen.Mfg.AM.Sketcher.Mode SketchMode [get, set]
 Returns or sets the sketch mode More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Mfg.AM.Sketcher builder

To create a new instance of this class, use NXOpen.Mfg.AM.SupportBuilder.Sketcher

Default values.

Property Value

CurveOnSurfaceBuilder.CurveFitData.CurveJoinMethod

No

CurveOnSurfaceBuilder.CurveFitData.Degree

7

CurveOnSurfaceBuilder.CurveFitData.FitMethod

DegreeAndSegments

CurveOnSurfaceBuilder.CurveFitData.IsAdvancedFit

0

CurveOnSurfaceBuilder.CurveFitData.IsAlignShape

0

CurveOnSurfaceBuilder.CurveFitData.MaximumDegree

7

CurveOnSurfaceBuilder.CurveFitData.MaximumSegments

1

CurveOnSurfaceBuilder.CurveFitData.MinimumDegree

5

CurveOnSurfaceBuilder.CurveFitData.Segments

1

CurveOnSurfaceBuilder.CurveFitProperties.FitOption

Cubic

CurveOnSurfaceBuilder.CurveFitProperties.MaximumDegree

7

CurveOnSurfaceBuilder.CurveFitProperties.MaximumSegments

1

Created in NX11.0.2

Member Enumeration Documentation

the sketcher mode

Enumerator
SurfaceFace 
SurfaceLine 
SketchFace 
SketchLine 

Member Function Documentation

unsafe void NXOpen.Mfg.AM.Sketcher.AddCurvePoints ( NXOpen.Point[]  points)
inline

Creates or extends the curve with points

Created in NX11.0.2

License requirements: am_pb_mtls_sg_2 ("Advanced NX Additive Support Geometry") OR am_pb_mtls_sg_1 ("Basic NX Additive Support Geometry")

Parameters
pointssketch points
unsafe void NXOpen.Mfg.AM.Sketcher.SetSketchCanvas ( NXOpen.Face[]  faces)
inline

Set the faces to sketch the curve upon

Created in NX11.0.2

License requirements: am_pb_mtls_sg_2 ("Advanced NX Additive Support Geometry") OR am_pb_mtls_sg_1 ("Basic NX Additive Support Geometry")

Parameters
facessketch faces

Property Documentation

unsafe bool NXOpen.Mfg.AM.Sketcher.CloseCurve
getset

Returns or sets the flag indicating if curve should be closed

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_sg_2 ("Advanced NX Additive Support Geometry") OR am_pb_mtls_sg_1 ("Basic NX Additive Support Geometry")

unsafe NXOpen.Features.CurveOnSurfaceBuilder NXOpen.Mfg.AM.Sketcher.CurveOnSurfaceBuilder
get

Returns the Curve On Surface feature builder

Created in NX11.0.2

License requirements: None.

unsafe NXOpen.Sketch NXOpen.Mfg.AM.Sketcher.Sketch
getset

Returns or sets the sketch which holds the section curves

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_sg_2 ("Advanced NX Additive Support Geometry") OR am_pb_mtls_sg_1 ("Basic NX Additive Support Geometry")

unsafe NXOpen.ScCollector NXOpen.Mfg.AM.Sketcher.SketchCollector
get

Returns the sketch geometry collector

Created in NX11.0.2

License requirements: None.

unsafe NXOpen.Mfg.AM.Sketcher.Mode NXOpen.Mfg.AM.Sketcher.SketchMode
getset

Returns or sets the sketch mode

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_sg_2 ("Advanced NX Additive Support Geometry") OR am_pb_mtls_sg_1 ("Basic NX Additive Support Geometry")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.